# HubSpot docs: APIs 2026-03 CRM Objects Tickets

## Tickets

- [Tickets API](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/guide.md): A ticket represents a customer request for support. The tickets endpoints allow you to manage this data and sync it between HubSpot and other systems.
- [Ticket object definition](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/object-definition.md): Information about the Ticket object, including identifiers, feature support, and default properties.
- [Create](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/create-ticket.md): Create a ticket with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard tickets is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/get-ticket.md): Read an Object identified by `{ticketId}`. `{ticketId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/get-tickets.md): Read a page of tickets. Control what is returned via the `properties` query param.
- [Merge two tickets](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/merge-tickets.md): Merge two tickets, combining them into one ticket record.
- [Update](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/update-ticket-objectId.md): Perform a partial update of an Object identified by `{ticketId}`or optionally a unique property value as specified by the `idProperty` query param. `{ticketId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object.…
- [Update](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/update-ticket.md): Perform a partial update of an Object identified by `{ticketId}`or optionally a unique property value as specified by the `idProperty` query param. `{ticketId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object.…
- [Archive](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/delete-ticket.md): Move an Object identified by `{ticketId}` to the recycling bin.

### Batch

- [Create a batch of tickets](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/batch/create-tickets.md): Create a batch of tickets. The `inputs` array can contain a `properties` object to define property values for the ticket, along with an `associations` array to define [associations](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4) with other CRM records.
- [Read a batch of tickets by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/batch/get-tickets.md): Retrieve a batch of tickets by ID (`ticketId`) or unique property value (`idProperty`).
- [Update a batch of tickets by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/batch/update-tickets.md): Update a batch of tickets by ID (`ticketId`) or unique property value (`idProperty`). Provided property values will be overwritten. Read-only and non-existent properties will result in an error. Properties values can be cleared by passing an empty string.
- [Create or update a batch of tickets by unique property values](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/batch/upsert-tickets.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of tickets by ID](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/batch/delete-tickets.md): Delete a batch of tickets by ID. Deleted tickets can be restored within 90 days of deletion. Learn more about [restoring records](https://knowledge.hubspot.com/records/restore-deleted-records).

### Search

- [Search for tickets](https://developers.hubspot.com/docs/api-reference/2026-03/crm/objects/tickets/search/search-tickets.md): Search for tickets by filtering on properties, searching through associations, and sorting results. Learn more about [CRM search](https://developers.hubspot.com/docs/guides/api/crm/search#make-a-search-request).

## OpenAPI Specs

- [crm-tickets-v2026-03](/docs/specs/2026-03/crm-tickets-v2026-03.json)
